> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent Config

> Atualiza a configuração do agente no banco de dados.



## OpenAPI

````yaml https://services.staging.app.dados.rio/eai-agent/openapi.json post /api/v1/agent-config
openapi: 3.1.0
info:
  title: Agentic Search API
  description: >-
    API que gerencia os fluxos e ferramentas dos agentes de IA da Prefeitura do
    Rio de Janeiro
  version: 0.1.0
servers:
  - url: https://services.staging.app.dados.rio/eai-agent
    description: Staging
security: []
paths:
  /api/v1/agent-config:
    post:
      tags:
        - Agent Config
      summary: Update Agent Config
      description: Atualiza a configuração do agente no banco de dados.
      operationId: update_agent_config_api_v1_agent_config_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentConfigUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentConfigUpdateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentConfigUpdateRequest:
      properties:
        agent_type:
          type: string
          title: Agent Type
          description: Tipo do agente
          default: agentic_search
        memory_blocks:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Memory Blocks
          description: Memory blocks personalizados
        tools:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tools
          description: Lista de ferramentas
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
          description: Nome do modelo LLM
        embedding_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Name
          description: Nome do modelo de embedding
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Metadados adicionais (autor, motivo, etc.)
      type: object
      title: AgentConfigUpdateRequest
    AgentConfigUpdateResponse:
      properties:
        success:
          type: boolean
          title: Success
        config_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Config Id
        message:
          type: string
          title: Message
      type: object
      required:
        - success
        - config_id
        - message
      title: AgentConfigUpdateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````